<form class="root" [formGroup]="loginForm" (submit)="onSubmit($event)">
    <h1>Iniciar Sessão</h1>

    <mat-form-field>
        <mat-label>Email</mat-label>
        <input
            matInput
            placeholder="Email"
            formControlName="email"
            name="email"
        />
        <mat-icon matPrefix>account_circle</mat-icon>

        <mat-error *ngIf="loginForm.controls['email'].hasError('required')">
            O campo "Email" é obrigatório.
        </mat-error>

        <mat-error
            *ngIf="
                loginForm.controls['email'].hasError('email') ||
                loginForm.controls['email'].hasError('invalidEmail')
            "
        >
            O email introduzido é inválido!
        </mat-error>
    </mat-form-field>

    <mat-form-field>
        <mat-label>Password</mat-label>
        <input
            matInput
            [type]="hide ? 'password' : 'text'"
            formControlName="password"
            name="password"
        />
        <mat-icon id="hide-btn" (click)="hide = !hide" matSuffix>
            {{ hide ? 'visibility_off' : 'visibility' }}</mat-icon
        >
        <mat-icon matPrefix>vpn_key</mat-icon>
        <mat-error *ngIf="loginForm.controls['password'].hasError('required')">
            O campo "Password" é obrigatório.
        </mat-error>
    </mat-form-field>

    <button
        mat-raised-button
        color="primary"
        [disabled]="!loginForm.valid"
        type="submit"
        class="login-button"
    >
        Iniciar Sessão
    </button>

    <a routerLink="/reset-password" mat-button class="reset-btn">
        Recuperação de Password
        <mat-icon matSuffix>keyboard_arrow_right</mat-icon>
    </a>
</form>
